#
# $Id: Makefile.mak,v 3.1 2000/06/12 22:03:29 kohl Exp $
#


#
# Main Defines
#

CFLAGS		=	-g

#FFLAGS		=	-g

SDIR		=	$(STV_ROOT)\cpd
OBJDIR		=	$(SDIR)\$(PVM_ARCH)


#
# Visualization System Selection
#

STV_VIS		=	NONE


#
# Message Passing System Selection
#

STV_MP		=	PVM


#
# Get Main STV Make Include File
#

!include $(STV_ROOT)\src\Makeincl_win32.stv


#
# Abbrev.
#

LIBDEP		=	$(STV_CPDLIB) $(STV_XDIR)

HDRS		=	$(STV_CPDHEADERS)


#
# Main Targets
#

default:  $(OBJDIR) cpd cpdtest

all:  $(OBJDIR) cpd cpdtest cpdinfo cpdcons

clean:
	- $(RM) *.obj
	- $(RM) $(STV_CPD_CLEAN)

veryclean:  clean
	- $(RM) cpd cpdtest cpdinfo cpdcons
	- $(RM) $(STV_CPD_VERYCLEAN)

$(OBJDIR):
	@- $(MKDIR) $(OBJDIR)


#
# CPD Applications
#

$(STV_CPD_LDIR)\cpd.exe:  $(STV_CPD_LDIR)\cpd.obj $(LIBDEP)
	$(LINKEXE) $(CONFLAGS) $(STV_LLDFLAGS) \
		$(OUTBIN)$(STV_CPD_LDIR)\cpd.exe \
		$(STV_CPD_LDIR)\cpd.obj $(STV_CPDLIBS) $(LINK_FLAGS)
	@ $(CP) $(STV_CPD_LDIR)\cpd.exe $(STV_XDIR)

$(STV_CPD_LDIR)\cpd.obj:  $(SDIR)\cpd.c $(HDRS)
	$(CC) $(STV_LCFLAGS) -c $(OUT)$(STV_CPD_LDIR)\cpd.obj \
		$(SDIR)\cpd.c 

$(STV_CPD_LDIR)\cpdtest.exe:  $(STV_CPD_LDIR)\cpdtest.obj $(LIBDEP)
	$(LINKEXE) $(CONFLAGS) $(STV_LLDFLAGS) \
		$(OUTBIN)$(STV_CPD_LDIR)\cpdtest.exe \
		$(STV_CPD_LDIR)\cpdtest.obj $(STV_CPDLIBS) $(LINK_FLAGS)
	@ $(CP) $(STV_CPD_LDIR)\cpdtest.exe $(STV_XDIR)

$(STV_CPD_LDIR)\cpdtest.obj:  $(SDIR)\cpdtest.c $(HDRS)
	$(CC) $(STV_LCFLAGS) -c $(OUT)$(STV_CPD_LDIR)\cpdtest.obj \
		$(SDIR)\cpdtest.c 

$(STV_CPD_LDIR)\cpdinfo.exe:  $(STV_CPD_LDIR)\cpdinfo.obj $(LIBDEP)
	$(LINKEXE) $(CONFLAGS) $(STV_LLDFLAGS) \
		$(OUTBIN)$(STV_CPD_LDIR)\cpdinfo.exe \
		$(STV_CPD_LDIR)\cpdinfo.obj $(STV_CPDLIBS) $(LINK_FLAGS)
	@ $(CP) $(STV_CPD_LDIR)\cpdinfo.exe $(STV_XDIR)

$(STV_CPD_LDIR)\cpdinfo.obj:  $(SDIR)\cpdinfo.c $(HDRS)
	$(CC) $(STV_LCFLAGS) -c $(OUT)$(STV_CPD_LDIR)\cpdinfo.obj \
		$(SDIR)\cpdinfo.c 

$(STV_CPD_LDIR)\cpdcons.exe:  $(STV_CPD_LDIR)\cpdcons.obj $(LIBDEP)
	$(LINKEXE) $(CONFLAGS) $(STV_LLDFLAGS) \
		$(OUTBIN)$(STV_CPD_LDIR)\cpdcons.exe \
		$(STV_CPD_LDIR)\cpdcons.obj $(STV_CPDLIBS) $(LINK_FLAGS)
	@ $(CP) $(STV_CPD_LDIR)\cpdcons.exe $(STV_XDIR)

$(STV_CPD_LDIR)\cpdcons.obj:  $(SDIR)\cpdcons.c $(HDRS)
	$(CC) $(STV_LCFLAGS) -c $(OUT)$(STV_CPD_LDIR)\cpdcons.obj \
		$(SDIR)\cpdcons.c 


#
# STV System Targets
#

$(STV_XDIR):
	@- $(MKDIR) $(STV_XDIR)


#
# STV Checkpointing Library Targets
#

$(STV_CPDLIB):  $(STV_CPDOBJS) $(STV_MP_LIBDEP)
	$(AR) $(AROPT) $(OUTBIN)$(STV_CPDLIB) $(STV_CPDOBJS)

$(STV_CPD_LDIR)\cpd_ulib.obj: $(STV_CPDSRC)\cpd_ulib.c $(HDRS)
	$(CC) $(STV_LCPDCFLAGS) -c $(OUT)$(STV_CPD_LDIR)\cpd_ulib.obj \
		$(STV_CPDSRC)\cpd_ulib.c

$(STV_CPD_LDIR)\cpd_files.obj: $(STV_CPDSRC)\cpd_files.c $(HDRS)
	$(CC) $(STV_LCPDCFLAGS) -c $(OUT)$(STV_CPD_LDIR)\cpd_files.obj \
		$(STV_CPDSRC)\cpd_files.c

$(STV_CPD_LDIR)\cpd_pack.obj: $(STV_CPDSRC)\cpd_pack.c $(HDRS)
	$(CC) $(STV_LCPDCFLAGS) -c $(OUT)$(STV_CPD_LDIR)\cpd_pack.obj \
		$(STV_CPDSRC)\cpd_pack.c

$(STV_CPD_LDIR)\cpd_usr_mp.obj: $(STV_CPDSRC)\cpd_usr_mp.c $(HDRS)
	$(CC) $(STV_LCPDCFLAGS) -c $(OUT)$(STV_CPD_LDIR)\cpd_usr_mp.obj \
		$(STV_CPDSRC)\cpd_usr_mp.c


#
# STV Fortran Checkpointing Library Targets
#

$(STV_FCPDLIB):  $(STV_FCPDOBJS) $(STV_MP_LIBDEP)
	$(AR) $(AROPT) $(OUTBIN)$(STV_FCPDLIB) $(STV_FCPDOBJS)

$(STV_CPD_LDIR)\cpdfulib.obj:  $(STV_CPD_LDIR)\cpdfulib.c $(HDRS)
	$(CC) $(STV_LCPDCFLAGS) -c $(OUT)$(STV_CPD_LDIR)\cpdfulib.obj \
		$(STV_CPD_LDIR)\cpdfulib.c

