
/* $Id: slicer_glob.h,v 1.24 1999/06/17 21:57:50 kohl Exp $ */


/*
 *                      CUMULVS version 1.0:
 *      Computational Steering and Interactive Visualization
 *                   in Distributed Applications
 *           Oak Ridge National Laboratory, Oak Ridge TN.
 *      Authors:  James Arthur Kohl and Philip M. Papadopoulos
 *                   (C) 1996 All Rights Reserved
 *
 *                              NOTICE
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted
 * provided that the above copyright notice appear in all copies and
 * that both the copyright notice and this permission notice appear
 * in supporting documentation.
 *
 * Neither the Institution, Oak Ridge National Laboratory, nor the
 * Authors make any representations about the suitability of this
 * software for any purpose.  This software is provided ``as is''
 * without express or implied warranty.
 *
 * CUMULVS was funded by the U.S. Department of Energy.
 */


/* Slicer Globals Declarations */


/* Externals */

extern	int 	errno;


/* STV Globals */

extern	STV_VIEW_FIELD_GROUP CURRENT_VFG;

extern	STV_VIEW_FIELD CURRENT_VF;

extern	STV_VIEW_PARAM CURRENT_VP;

extern	STV_VIEWER VIEWER;

extern	STV_REGION MAX_REGION;

extern	STV_REGION VISREGION;

extern	STV_CELL VISCELL;

extern	int VIEWER_LOCK;
extern	int VIEWER_KICK;

extern	int INITIALIZED;

extern	int CONNECTED;

extern	int FRAME_PENDING;

extern	int PLANE_CHOICE;

extern	int THRASH_FACTOR;
extern	int THRASHING;

extern	int STEERING;

extern	int REALLOC;

extern	int RESTART;

extern	int MYTID;

extern	int FREQ;


/* TCL / TK Globals */

extern	Tcl_Interp		*interp;

extern	Tk_Window		Top;

extern	Display			*Disp;

extern	char			**Argv;
extern	int 			Argc;

extern	char			*MENUVAR_AUTO_COLOR;
extern	char			*MENUVAR_MIN_MAX;
extern	char			*MENUVAR_CUMULATIVE;

/* Slicer Globals */

extern	WIN				MAIN_WIN;

extern	REGION_STACK	REGIONS;

extern	char			TMP_COORD1[255];
extern	char			TMP_COORD2[255];
extern	char			TMP_COORD3[255];
extern	char			TMP_COORD4[255];

extern	char			TMP_CMD[1024];

extern	char			*SLICER_RADIUS_FIELD;
extern	char			*SLICER_COLOR_FIELD;
extern	char			*SLICER_FIELD_NAME;
extern	char			*SLICER_FIELD_TYPE;
extern	char			*SLICER_FIELD;
extern	char			*SLICER_APP;

extern	char			*SLICER_DIR;

extern	char			*SL;
extern	char			*SL_C;
extern	char			*SL_M;

extern	float			*DIFF_FIELD[2];
extern	int				DIFF_FIELD_NELEMS;

extern	int				DIFF_INDEX;

extern	float			*SAVE_FIELD;
extern	int				SAVE_FIELD_NELEMS;

extern	int				FIELD_NELEMS;

extern	float			COLOR_MIN_VALUE;
extern	float			COLOR_MAX_VALUE;

extern	float			PSCALE;

extern	int				*COLORIDS;
extern	int				NCOLORIDS;

extern	RECT			RECTIDS;
extern	int				RECTIDSIZE;
extern	int				NRECTIDS;

extern	CIRCLE			CIRCLEIDS;
extern	int				CIRCLEIDSIZE;
extern	int				NCIRCLEIDS;

extern	RECT			BORDERID;

extern	int				AUTO_COLOR_MAP;

extern	int				SHOW_MIN_MAX;

extern	int				SHOW_CUMULATIVE;

extern	float			CUMULATIVE_MIN;
extern	float			CUMULATIVE_MAX;
extern	int				CUMULATIVE_SET;

extern	int				STEER_RELEASE;

extern	int				STEER_ACTIVE;

extern	int				VIS_MODE;

extern	int				SCALE;

extern	int				NX, NY;

extern	int				XON_KICK;

extern	int				SLEEP;

extern	int				NSTEPS;

extern	int				APP_LOCKED;

extern	int				PTR_VALID;

extern	int				PTR_X;
extern	int				PTR_Y;

extern	int				REGION_ID;

extern	int				BORDER_SPACE;
extern	int				FRAME_BORDER;
extern	int				ROW_HEIGHT;
extern	int				COL_WIDTH;

extern	int 			vflag;

